#include <stdio.h>
#include <time.h>
#include <stdlib.h>

#define MAX 255
#define ANTAL 100
#define RANGE 255

typedef struct posttyp
{
  char enamn[MAX];
  char fnamn[MAX];
  int langd;
} post;


void sort(post postTyp[])
{
  int i, j;
  post tmp;
  for (j = 0; j < ANTAL - 1; j++)
    {
      for (i = 0; i < (ANTAL - 1) - j; i++)
	{
	  if (postTyp[i].langd > postTyp[i + 1].langd)
	    {
	      printf("hello\n");
	      tmp = postTyp[i];
	      postTyp[i] = postTyp[i + 1];
	      postTyp[i + 1] = tmp;
	    }
	}
    }

  for (i = 0; i < ANTAL; i++)
    {
      printf("%i\n", postTyp[i].langd);
    }
}



void print(post postTyp[])
{
  int i;
  for (i = 0; i < ANTAL; i++)
    {
      printf("%i\n", postTyp[i].langd);
    }
}

int main () {
  srand(time(NULL));
  post postTyp[ANTAL];

  int i;
  for (i = 0; i < ANTAL; i++)
    {
      postTyp[i].langd = rand() % RANGE;
    }
  
  sort(postTyp);
  
  //  print(postTyp);
  




  
  return 0;
}
      
